<template>
  <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
    :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
    :table="table" :extend="extend">
  </view-grid>
</template>
<script>
import extend from "@/extension/stock/vv_StockInfoDet.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "库存信息展示",
      name: "vv_StockInfoDet",
      url: "/vv_StockInfoDet/",
      sortName: "id",
    });
    const searchFormFields = ref({
      palletCode: "",
      materialType: "",
      stockStatus: "",
      materielCode:"",

      materielName:"",
      orderNo:"",
      batchNoName:"",
      stockQuantity:"",
      createDate:"",
      });
    const searchFormOptions = ref([
      [
        { title: "托盘编号", field: "palletCode",type:"like"},
        
        // {
        //   title: "物料类型",
        //   field: "materialType",
        //   type: "selectList",
        //   dataKey: "InventoryMaterialType",
        //   data: [],
        // },{
        //   title: "库存状态",
        //   field: "stockStatus",
        //   type: "select",
        //   dataKey: "stockStatusEmun",
        //   data: [],
        // },
      ],
      [
      { title: "物料编号", field: "materielCode",type:"like" },
      // { title: "物料名称", field: "materielName",type:"like" },
      // { title: "物料详情", field: "orderNo",type:"like" },
      ],
      // [
      // { title: "物料批次", field: "batchNo",type:"like" },
      //   { title: "物料批次详情", field: "batchNoName",type:"like" },
      //   { title: "重量", field: "stockQuantity",type:"like" },
      // ],
      [
      
      { title: "创建时间", field: "createDate", type: "datetime" },
      ]
    ]);
    const columns = ref([
    {
          field: "palletCode",
          title: "托盘编号",
          type: "string",
          width: 90,
          align: "left",
          DisplayType:"link",
          sort:true,
        },{
          field: "materialType",
          title: "物料类型",
          type: "string",
          width: 100,
          align: "left",
          bind: { key: "InventoryMaterialType", data: [] },
          sort:true,
        },
        {
          field: "stockStatus",
          title: "库存状态",
          type: "string",
          width: 100,
          align: "left",
          bind: { key: "stockStatusEmun", data: [] },
          sort:true,
        },
      {
        field: "materielCode",
        title: "物料编号",
        type: "string",
        width: 120,
        align: "left",
        sort:true,
      },
      {
        field: "materielName",
        title: "物料名称",
        type: "string",
        width: 150,
        align: "left",
        sort:true,
      },
      {
        field: "orderNo",
        title: "物料详情",
        type: "decimal",
        width: 90,
        align: "left",
        sort:true,
      },
      {
        field: "batchNo",
        title: "物料批次",
        type: "string",
        width: 120,
        align: "left",
        sort:true,
      },
      {
        field: "batchNoName",
        title: "物料批次详情",
        type: "int",
        width: 120,
        align: "left",
        sort:true,
      },
      {
        field: "stockQuantity",
        title: "重量",
        type: "string",
        width: 100,
        align: "left",
        sort:true,
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 160,
        align: "left",
        sort:true,
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      table: "",
      columns: [],
      sortName: "",
    });
    return {
      table,
      extend,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>